-- Program name: Bmp 2 Xpm
-- Author: Guillermo Bonveh (AKA: Knixeur - Caballero Rojo - Red Knight)
-- Version: 1.0
-- Description: This utility convert BMP files into XPM files. This can be useful for
-- toolbars.
-- Thanks to: David Cuny (XPM routines)

without warning
include xpm.e
sequence lc, ifile, ofile
object basura

-- Intro

puts(1, "\n Bmp 2 Xpm v1.0 - By Caballero Rojo\n")
puts(1, "   Thanks to: David Cuny (XPM.E)\n")

-- End of intro

lc = command_line() -- Get command line

if length(lc) < 4 then -- Check if parameters are missed in command line
    puts(1,"\nSintax: ex b2x infile.bmp outfile.xpm\n") -- If they are missed, warn
    abort(1) -- End program
end if

ifile = lc[3] -- Make a variable with command line
ofile = lc[4] -- to make the manipulation easier.

basura = createXpmFromBmp(ifile,ofile) -- Make a Xpm from a Bmp file.

if atom(basura) = XPM_ERR_FILE then -- Check for errors
    puts(1,"\nError: " & ofile & " couldnt be create.\n") -- If it was, warn
    abort(1) -- End program
end if

puts(1,"\n  " & ofile & " has been created.\n")
